Aura Logo
AuraAPI Docs
OpenapiV1PaymentsId

Update payment

Update fields on an existing payment.

Updatable fields:

  • status - Payment status
  • amount - Amount in cents
  • currency - Currency code
  • external_id - External payment ID
PATCH
/v1/payments/{id}

Path Parameters

idstring

Payment ID (UUID)

Formatuuid
amount?integer

Payment amount in DOLLARS, with up to two decimal places — the same unit CreatePaymentBody and GET /v1/payments use. Money is dollars everywhere in this API.

Range0 <= value
currency?string

ISO 4217 currency code

external_id?string

External payment/transaction ID

status?string

Payment status

Value in"pending" | "succeeded" | "failed" | "refunded"

Response Body

application/json

application/json

application/json

curl -X PATCH "https://api.aura-app.ai/v1/payments/550e8400-e29b-41d4-a716-446655440000" \  -H "Content-Type: application/json" \  -d '{}'
{
  "data": {
    "amount": 5000,
    "call_id": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "currency": "usd",
    "customer_email": "string",
    "customer_name": "string",
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "lead_id": "string",
    "match_candidates": [
      {
        "confidence": 0.7,
        "email": "string",
        "lead_id": "string",
        "name": "string",
        "reason": "email_exact",
        "property1": null,
        "property2": null
      }
    ],
    "match_confidence": 0,
    "matched_by": "string",
    "matched_product_id": "string",
    "organization_id": "string",
    "payment_date": "2019-08-24T14:15:22Z",
    "provider": "stripe",
    "provider_payment_id": "pi_xxxxx",
    "refund_reason": "string",
    "refund_status": "string",
    "refunded_amount": 0,
    "refunded_at": "2019-08-24T14:15:22Z",
    "status": "succeeded",
    "stripe_charge_id": "string",
    "stripe_customer_id": "string",
    "stripe_product_id": "string",
    "stripe_refund_id": "string",
    "stripe_subscription_id": "string",
    "verification_status": "confirmed",
    "verified_at": "2019-08-24T14:15:22Z"
  },
  "success": true
}
{
  "code": "NOT_FOUND",
  "error": "Lead not found",
  "requestId": "req_abc123",
  "success": false
}
{
  "code": "NOT_FOUND",
  "error": "Lead not found",
  "requestId": "req_abc123",
  "success": false
}